config/routes.rb
Rails.application.routes.draw do
  root 'quotes#index'
  resources :quotes
  get 'about', to: 'quotes#about'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/quote.rb
class Quote < ApplicationRecord
   validates :saying, presence: true, length: { maximum: 140, minimum: 3 }
   validates :author, presence: true, length: { maximum: 50,  minimum: 3 }
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/quotes_controller.rb
class QuotesController < ApplicationController
  def index
    @quote = Quote.order("RANDOM()").first
    # binding.pry
  end

  def create
     @quote = Quote.create(quote_params)
  if @quote.invalid?
    flash[:error] = '<strong>Could not save</strong> the data you entered is invalid.'
  end
  redirect_to root_path
  end

  def about
  end
  
  private

  def quote_params
    params.require(:quote).permit(:saying, :author)
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/quotes_helper.rb
module QuotesHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Splurty</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
      <%= csrf_meta_tags %>
      <%= csp_meta_tag %>

      <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
      <%= javascript_include_tag 'application', ' data-turbolinks-track': 'reload' %>
  </head>

  <body>
      <header class="row">
        <div class="col-3"> 
          <%= link_to root_path, class: 'logo' do %>
          <div class="circle">
            <br />
            I
            <br />
            am
            <br />
            dope
          </div>
          <% end %>
          </div>
         <div class="col col-sm-4 hidden-xs-down slogan">
          splurting out unsolicited dopeness since a long time ago
        </div>
        <div class="col-10 offset-1 offset-sm-0 col-sm-5 links">
           <!-- Button trigger modal -->
        <%= link_to 'Add dope ideas', '#', data: {toggle: 'modal', target: '#myModal'} %>
        &nbsp;&nbsp;
        <br/>
        <%= link_to 'About Kanui\'s dopeness ', about_path %>
      </div>
      </header>


    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
            <h4 class="modal-title" id="myModalLabel">wutcha thinkin?</h4>
          </div>
          <%= simple_form_for Quote.new do |f| %>
        <div class="modal-body">
          <%= f.input :saying, label: "Idea:", placeholder: "Fear is the disease. Hustle is the antidote." %>
          <br />
          <%= f.input :author, label: "Author:", placeholder: "Travis Kalanick" %>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <%= f.submit 'Create', class: 'btn btn-danger' %>
        </div>
      <% end %>
          </div>
        </div>
      </div>
    </div>


      <hr />

      <br class= "clear" />
      <div class="container">
          <% if flash[:error].present? %>
      <div class="col-10 offset-1 alert alert-danger">
           <%= flash[:error].html_safe %>
      </div>
      <% end %>

    <%= yield %>
      </div>

    <div class="footer">
      <div class="container">
        <div class="row">
          <div class="col-12 col-sm-6">
            <%= link_to "This isn't dope enough, I need more", root_path, class: 'next-quote' %>
      </div>
      <div class="col-12 col-sm-6 footer-blurb">
        Proudly doped by <a href="[YOUR_PORTFOLIO_URL]">Kanui</a><br />
        Want to build your own dope Web App - <a href="https://online.bootcampspot.com">Learn how to code-dope here</a>
      </div>
        </div>
      </div>
    </div>
  </body>
</html>

app/views/quotes/about.html.erb
<div class="col-10 offset-1 about">

  <h1 class="display-1">Dope Overview</h1>

  <p>
    This dope page was built by <a target="_blank" href="https://github.com/kanui624/Kanui1">Kanui</a>, a wanna-be web developer who's on a mission to get real good at coding and be real dope.
  </p>
  <br/>
  <p>
    Kanui is excited to learn more and continue to be dope.
  </p>
  <div class="row">
    <div class="col-12 col-sm-4">
      <%= image_tag 'me.jpg', class: 'img-fluid' %>
    </div>

    <div class="col-12 col-sm-7 offset-sm-1">
      <h2 class="text-center">Kanui</h2>
      <br />
      <p>
        Kanui is a dope developer and dope experience  manager. He consulted Fortune 500 companies like nah and nope-dope. Kanui won Austin's dopest dope-athon and most recently led the user experience for building a $500M/year international dope platform. In an earlier life, he travelled around the world on only dopeness for an entire year.
      </p>
    </div>
  </div>


<br class="clear" />

<p>
    If you want to learn how to be dope - start <a target="_blank" href="https://github.com/kanui624/Kanui1"> here</a>.
  </p>
  </div>

app/views/quotes/index.html.erb
<h2>
  <span>SPLURTY / No. <%= @quote.id %></span>
  Here's the <u>best unsolicited startup advice</u> you can get!
</h2>

<h1><%= @quote.saying %></h1>
<h2 class="float-right">- <%= @quote.author %></h2>

<br class="clear" />
<br />
<br />
<br />